Bug 1130605 - CVE-2013-4344 qemu: buffer overflow in scsi_target_emulate_report_luns [fedora-all]
Summary: CVE-2013-4344 qemu: buffer overflow in scsi_target_emulate_report_luns [fedor...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 19
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=bvincent
Depends On:
Blocks: CVE-2013-4344
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:11 UTC by Cole Robinson
Modified: 2014-09-08 13:26 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of: 1015275
Environment:
Last Closed: 2014-09-08 13:26:22 UTC


Attachments (Terms of Use)

Description Cole Robinson 2014-08-15 16:11:26 UTC
+++ This bug was initially created as a clone of Bug #1015275 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Petr Matousek on 2013-10-03 15:01:30 EDT ---


Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1007330,1015275

Comment 1 Cole Robinson 2014-08-15 16:12:17 UTC
Fix is here, only needed for F19 branch:

commit 846424350b292f16b732b573273a5c1f195cd7a3
Author: Asias He <asias@redhat.com>
Date:   Wed Oct 9 15:41:03 2013 +0800

    scsi: Allocate SCSITargetReq r->buf dynamically [CVE-2013-4344]

Comment 2 Cole Robinson 2014-09-08 13:26:22 UTC
Actually this patch is already in the Fedora 19 version, my mistake


Note You need to log in before you can comment on or make changes to this bug.